import QtQuick 1.1
import qb.components 1.0
import qb.base 1.0
import HttpRequest 1.0
import "ov.js" as OvJS 


App {
	id: ovApp
	
	property url trayUrl : "OvTray.qml"
	property url tileUrl : "./OvTile.qml"
	property url ovTileUrl : "./OvOvTile.qml"
	
	property url thumbnailIcon: "./drawables/ovIcon.png"
	property url tileIcon: "./drawables/ovTile.png"
	
	property url ovScreenUrl : "OvScreen.qml"
	property url ovSettingsUrl : "OvSettings.qml"
	property url ovOvUrl : "OvOv.qml"
	
	property OvSettings ovSettings
	property bool noApps: false
	property bool firstLoad : true
	property bool settingsLoaded: false
	property bool runningFromTile: false
	property variant departures : []
	property bool ovReceived: false
	
	property variant settings: { 
		"ovHalte" : "",
	}

	function init() {
		registry.registerWidget("screen", ovScreenUrl, this);
		registry.registerWidget("screen", ovSettingsUrl, this, "ovSettings");
		registry.registerWidget("screen", ovOvUrl, this, "ovOv");
		registry.registerWidget("systrayIcon", trayUrl, this, "ovTray");
	}

	function loadSettings()  {
		var settingsFile = new XMLHttpRequest();
		settingsFile.onreadystatechange = function(){
			if (settingsFile.readyState == XMLHttpRequest.DONE) {
				if (settingsFile.responseText.length > 0)  {
					settingsLoaded=true
					
					var temp = JSON.parse(settingsFile.responseText);
					for (var setting in settings) {
						if (!temp[setting])  { temp[setting] = settings[setting]; } // use default if no saved setting exists
					}
					settings = temp;					
				}
			}
		}
		settingsFile.open("GET", "file:///HCBv2/qml/apps/ov/ov.settings", true);
		settingsFile.send();
	}
	
	
	function getOV(){
		ovReceived=false
		var xmlhttp = new XMLHttpRequest();
		xmlhttp.onreadystatechange=function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				var res = JSON.parse(xmlhttp.responseText);
				departures = res["tabs"][0]["departures"]
				ovReceived = true;
			}
		}
		xmlhttp.open("GET", "http://dashticz.nl/ov/ov.php?station="+settings.ovHalte, true);
		xmlhttp.send();
	}

}
