import QtQuick 1.1
import qb.components 1.0

Screen {
	id: ovScreen
	screenTitleIconUrl: "drawables/ovIcon.png"
	screenTitle: "Bushalte informatie"
	
	hasBackButton: false
	property OvApp app;
	
	function goToScreen(){
		app.runningFromTile=false
		if(app.settingsLoaded){
			settingsTimer.running = false
			if(app.settings.domoticzHost!==""){
				stage.openFullscreen(app.ovOvUrl);
			}
			else {
				app.noApps=true;
			}
		}
		else {
			settingsTimer.running = true
			app.loadSettings()
		}
	}
			
	onShown: {
		goToScreen();
	}
	
	Text {
		id:loadingSettingsText
		text: "Bezig met laden..."
		font.pointSize: 12
		visible: !app.noApps
		color: colors.clockTileColor
		anchors {
			top: parent.top
			topMargin: 75
			left: parent.left
			leftMargin: 32
		}
	}
	
	OvTabs {
		visible: app.noApps
	}
	
	Text {
		id:loadingText
		text: "Ga naar Instellingen om te beginnen!"
		font.pointSize: 12
		visible: app.noApps
		color: colors.clockTileColor
		anchors {
			top: parent.top
			topMargin: 75
			left: parent.left
			leftMargin: 32
		}
	}
	
	Timer  {
        id: settingsTimer
        interval: 2000
        running: false
        repeat: true
        onTriggered: {
			goToScreen()
		}
    }
	
}
