import QtQuick 1.1
import qb.components 1.0
import BxtClient 1.0

Screen {
	id: ovSettingsScreen
	screenTitleIconUrl: "drawables/ovIcon.png"
	screenTitle: "Ov / Instellingen"
	hasBackButton: false
	hasHomeButton: false
	hasCancelButton: true

	anchors {
		top: parent.top
		topMargin: 5
		left: parent.left
		leftMargin: 32
	}

	onShown: {
		addCustomTopRightButton("Opslaan");
		if(ovHalteLabel.inputText=="") 		ovHalteLabel.inputText = "";
	}

	onCustomButtonClicked: {
		var temp = app.settings; // updating app property variant is only possible in its whole, not by elements only, so we need this
		temp.ovHalte = ovHalteLabel.inputText;
		app.settings = temp;

		var saveFile = new XMLHttpRequest();
		saveFile.open("PUT", "file:///HCBv2/qml/apps/ov/ov.settings");
		saveFile.send(JSON.stringify(app.settings));
		
		//hide();
		app.settingsLoaded=false
		stage.openFullscreen(app.ovScreenUrl);
	}


	function updateovHalteLabel(text) {
		if (text) ovHalteLabel.inputText = text;
	}
	
	function updateOvPortLabel(text) {
		if (text) {
			if (text.match(/^[0-9]*$/)) {
				ovPortLabel.inputText = text;
			}
		}
	}


	//ov
	Text {
		id: ovText
		font.pixelSize: 16
		font.family: qfont.semiBold.name
		text: "OV Informatie"
		anchors {
			left: domoticzText.left
			top: domoticzTileIDXLabel.bottom                       
			topMargin: 30
		}
	}
	
	EditTextLabel {
		id: ovHalteLabel
		width: 350
		height: 35
		leftText: "Station / Halte"
		leftTextAvailableWidth: 200

		anchors {
			left: ovText.left
			top: ovText.bottom                       
			topMargin: 10
		}

		onClicked: {
			qkeyboard.open("Station / Halte", ovHalteLabel.inputText, updateovHalteLabel);
		}
	}

}
